# This function readies a freshly summoned skeleton horse.
#
# Add all the needed entity data to the freshly summoned skeleton horse.
# Horse stats are set to the upper limit of a natural horse.
entitydata @e[type=Skeleton_Horse,tag=ricarthalSummonedSkeletonHorseFresh] {CustomName:"Horsebones",DeathLootTable:"ricarthal:entities/horsebones_horsebones",Tame:1,Attributes:[{Name:horse.jumpStrength,Base:1},{Name:generic.movementSpeed,Base:0.3375},{Name:generic.maxHealth,Base:30}],NoAI:1,Age:9999999,SaddleItem:{Count:1,id:"minecraft:saddle",tag:{display:{Name:"Dusty Saddle",Lore:["A weathered saddle covered in bonemeal.","Looks too fragile to remove."]}}},PersistenceRequired:1}
#
# Refill the horse's health, using instant damage effect because undead, as it likely just increased health capacity.
effect @e[type=Skeleton_Horse,tag=ricarthalSummonedSkeletonHorseFresh] 7 1 10 true
#
# Create particles at the tagged skeleton horse's location.
execute @e[type=Skeleton_Horse,tag=ricarthalSummonedSkeletonHorseFresh] ~ ~ ~ /function ricarthal:horsebones/particle_summon
#
# Make a sound
execute @e[type=Skeleton_Horse,tag=ricarthalSummonedSkeletonHorseFresh] ~ ~ ~ /playsound entity.skeleton_horse.ambient neutral @a ~ ~ ~ 1 1
#
# Tag it as a functional summoned skeleton horse rather than a fresh one.
scoreboard players tag @e[type=Skeleton_Horse,tag=ricarthalSummonedSkeletonHorseFresh] add ricarthalSummonedSkeletonHorse
scoreboard players tag @e[type=Skeleton_Horse,tag=ricarthalSummonedSkeletonHorseFresh] remove ricarthalSummonedSkeletonHorseFresh