# This function is the first part of the repeatable ritual to get a summonable skeleton horse
#
# Reset the advancement which triggers this function
advancement revoke @s only ricarthal:horsebones/skeletonhorseritual1
#
# Check whether the player going to the nether has the right items
scoreboard players tag @s add ricarthalSkeletonHorseRitual1 {SelectedItem:{Count:1b,id:"minecraft:bone_block"},Inventory:[{Slot:103b,id:"minecraft:pumpkin"},{Slot:-106b,id:"minecraft:saddle"}]}
#
# If the player had the right items, transmute them
replaceitem entity @s[tag=ricarthalSkeletonHorseRitual1] slot.armor.head minecraft:air
replaceitem entity @s[tag=ricarthalSkeletonHorseRitual1] slot.weapon.mainhand minecraft:air
replaceitem entity @s[tag=ricarthalSkeletonHorseRitual1] slot.weapon.offhand minecraft:saddle 1 0 {display:{Name:"Distorted Saddle",Lore:["A saddle twisted by the power of the Nether.","It yearns for greater heights. (I of IV)"]},ench:[{Id:49,Lvl:2}],HideFlags:1}
#
# Give the visible advancement
advancement grant @s[tag=ricarthalSkeletonHorseRitual1] only ricarthal:horsebones/ritual1
#
# Particle and sound effect
function ricarthal:horsebones/particle_upgrade_saddle if @s[tag=ricarthalSkeletonHorseRitual1]
#
# Tell the player what has happened
tellraw @s[tag=ricarthalSkeletonHorseRitual1] ["",{"text":"The pumpkin and bone block vanish, and the saddle becomes a "},{"text":"Distorted Saddle","color":"aqua"}]
#
# Remove the tag now we're done with it
scoreboard players tag @s remove ricarthalSkeletonHorseRitual1
#
# Peaceful alternative to doing ritual stage 4 then fighting the Horseman
# Check whether the player going to the nether has the right items
scoreboard players tag @s add ricarthalSkeletonHorseRitualPeaceful {SelectedItem:{Count:1b,id:"minecraft:emerald_block"},Inventory:[{Slot:100b,id:"minecraft:diamond_boots"},{Slot:102b,id:"minecraft:diamond_chestplate"},{Slot:103b,id:"minecraft:pumpkin"},{Slot:-106b,id:"minecraft:saddle",tag:{display:{Name:"Fallen Saddle",Lore:["A mystical saddle corrupted by the influence of the void.","It thirsts for arcane power. (III of IV)"]},ench:[{Id:49,Lvl:2}],HideFlags:1}}]}
#
# If so, do the thing
function ricarthal:horsebones/peaceful if @s[tag=ricarthalSkeletonHorseRitualPeaceful]