# This function manages logic for active summoned skeleton horses
#
# Tag summoned skeleton horses that are not being ridden
execute @e[type=Skeleton_Horse,tag=!ricarthalSummonedSkeletonHorseNoRider] ~ ~ ~ /scoreboard players tag @s[tag=ricarthalSummonedSkeletonHorse] add ricarthalSummonedSkeletonHorseNoRider
scoreboard players tag @a[tag=ricarthalRidingSkeletonHorse] remove ricarthalRidingSkeletonHorse
scoreboard players tag @a[tag=!ricarthalRidingSkeletonHorse] add ricarthalRidingSkeletonHorse {RootVehicle:{Entity:{id:"minecraft:skeleton_horse"}}}
execute @a[tag=ricarthalRidingSkeletonHorse] ~ ~ ~ /scoreboard players tag @e[type=Skeleton_Horse,tag=ricarthalSummonedSkeletonHorse,r=2,c=1] remove ricarthalSummonedSkeletonHorseNoRider
#
# Tag summoned skeleton horses that are not being ridden and are on the ground
execute @e[type=Skeleton_Horse,tag=ricarthalSummonedSkeletonHorseNoRiderGround] ~ ~ ~ /scoreboard players tag @s[tag=ricarthalSummonedSkeletonHorse] remove ricarthalSummonedSkeletonHorseNoRiderGround {OnGround:false}
execute @e[type=Skeleton_Horse,tag=!ricarthalSummonedSkeletonHorseNoRiderGround] ~ ~ ~ /scoreboard players tag @s[tag=ricarthalSummonedSkeletonHorseNoRider] add ricarthalSummonedSkeletonHorseNoRiderGround {OnGround:true}
#
# Toggle the AI of summoned skeleton horses depending on whether it is on the ground. If NoAI remained on all the time, they would hover when not being ridden.
execute @e[type=Skeleton_Horse,tag=ricarthalSummonedSkeletonHorse] ~ ~ ~ /entitydata @s[tag=!ricarthalSummonedSkeletonHorseNoRiderGround] {NoAI:false}
execute @e[type=Skeleton_Horse,tag=ricarthalSummonedSkeletonHorse] ~ ~ ~ /entitydata @s[tag=ricarthalSummonedSkeletonHorseNoRiderGround] {NoAI:true}