# This function is the fifth and final part of the repeatable ritual to get a summonable skeleton horse
#
# Replace the Imbued Saddle on the sacrificed horse with a Dusty Saddle, so it can't be reused.
replaceitem entity @e[type=Horse,tag=ricarthalHorseWithImbuedSaddle] slot.horse.saddle minecraft:saddle 1 0 {display:{Name:"Dusty Saddle",Lore:["A weathered saddle covered in bonemeal.","Looks too fragile to remove."]}}
#
# Summon the Horseman's skeleton horse at the living horse's location, with the Horseman riding it
execute @e[type=Horse,tag=ricarthalHorseWithImbuedSaddle] ~ ~ ~ /summon minecraft:skeleton_horse ~ ~ ~ {DeathLootTable:"ricarthal:entities/horsebones_nothing",Tame:1,Attributes:[{Name:horse.jumpStrength,Base:1},{Name:generic.movementSpeed,Base:0.3375},{Name:generic.maxHealth,Base:200},{Name:generic.knockbackResistance,Base:1}],Age:9999999,SaddleItem:{Count:1,id:"minecraft:Saddle",tag:{display:{Name:"Dusty Saddle",Lore:["A weathered saddle covered in bonemeal.","Looks too fragile to remove."]}}},PersistenceRequired:1,Passengers:[{id:Stray,CustomName:"Horseman",DeathLootTable:"ricarthal:entities/horsebones_horseman",Attributes:[{Name:generic.maxHealth,Base:180},{Name:generic.knockbackResistance,Base:1}],HandItems:[{Count:1,id:bow,tag:{ench:[{id:48,lvl:5},{id:49,lvl:2}]}},{}],HandDropChances:[0.0F,0.0F],ArmorItems:[{Count:1,id:leather_boots,tag:{display:{color:2569531}}},{Count:1,id:leather_leggings,tag:{display:{color:2569531}}},{Count:1,id:leather_chestplate,tag:{display:{color:2569531}}},{}],ArmorDropChances:[0.0F,0.0F,0.0F,0.0F],PersistenceRequired:1,Tags:["ricarthalHorseman","ricarthalHorsemanFresh"]}],Tags:["ricarthalHorsemansSkeletonHorse","ricarthalHorsemansSkeletonHorseFresh"]}
#
# Give the Horseman its pumpkin
replaceitem entity @e[type=Stray,tag=ricarthalHorsemanFresh] slot.armor.head minecraft:pumpkin 1 0
#
# Heal the horseman and the horse
effect @e[type=Stray,tag=ricarthalHorseman] 7 1 10 true
effect @e[type=Skeleton_Horse,tag=ricarthalHorsemansSkeletonHorse] 7 1 10 true
#
# Summoning particles
execute @e[type=Stray,tag=ricarthalHorsemanFresh] ~ ~ ~ /function ricarthal:horsebones/particle_summon
execute @e[type=Skeleton_Horse,tag=ricarthalHorsemansSkeletonHorseFresh] ~ ~ ~ /function ricarthal:horsebones/particle_summon
#
# Make sure the sacrificed horse will drop nothing but its Dusty Saddle
entitydata @e[type=Horse,tag=ricarthalHorseWithImbuedSaddle] {DeathLootTable:"ricarthal:entities/horsebones_nothing"}
#
# Kill the sacrificed horse
kill @e[type=Horse,tag=ricarthalHorseWithImbuedSaddle]
#
# Roar
# execute @e[type=Stray,tag=ricarthalHorsemanFresh] ~ ~ ~ /playsound entity.enderdragon.growl hostile @a ~ ~ ~ 3 0.9
execute @e[type=Stray,tag=ricarthalHorsemanFresh] ~ ~ ~ /playsound entity.skeleton_horse.death hostile @a ~ ~ ~ 3 0.7
#
# Tell nearby players what has happened
execute @e[type=Stray,tag=ricarthalHorsemanFresh] ~ ~ ~ /tellraw @a[r=50] ["",{"text":"The "},{"text":"Horseman","color":"light_purple"},{"text":" has awoken!"}]
#
# Remove the "Fresh" tags from the Horseman and its horse
scoreboard players tag @e[type=Stray,tag=ricarthalHorsemanFresh] remove ricarthalHorsemanFresh
scoreboard players tag @e[type=Skeleton_Horse,tag=ricarthalHorsemansSkeletonHorseFresh] remove ricarthalHorsemansSkeletonHorseFresh